OnQuit An user is leaving IRC
Parameters

    $0 = Nickname
    $1 = Username
    $2 = Hostname
    $3 = Quit message
    $4 = Channels

Window
Console
Description

Triggered when a user is quitting IRC.
The QUIT message has already been processed by the server, so the user is effectively no longer on IRC. On the other side, it might be useful to access the user-related data from this event, thus the handler is called effectively just BEFORE the user is effectively removed from the IRC user list (and thus from the channels and query windows).
The fifth parameter ($4) contains the list of channels on that the user was just before quitting. Calling 'halt' in this event will stop the quit message output (in ALL the windows!).

Examples
foreach(%cname, $str.split(",", $4))echo -w=$channel(%cname, $context) User $0 is quitting...
See also
onpart, onmepart

Index, Events